DataOutputStream
Date: 2016-06-24

java.io

## Class DataOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.DataOutputStream

- All Implemented Interfaces:
    DataOutput

      public class DataOutputStream
      extends FilterOutputStream
      implements DataOutput

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `written`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataOutputStream(OutputStream var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `size()`
    `void` | `writeBoolean(boolean var0)`
    `void` | `writeByte(int var0)`
    `void` | `writeBytes(String var0)`
    `void` | `writeChar(int var0)`
    `void` | `writeChars(String var0)`
    `void` | `writeDouble(double var0)`
    `void` | `writeFloat(float var0)`
    `void` | `writeInt(int var0)`
    `void` | `writeLong(long var0)`
    `void` | `writeShort(int var0)`
    `void` | `writeUTF(String var0)`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write`

- - ### Field Detail

    - #### written

          protected int written

  - ### Constructor Detail

    - #### DataOutputStream

          public DataOutputStream(OutputStream var0)

  - ### Method Detail

    - #### size

          public final int size()

    - #### writeBoolean

          public final void writeBoolean(boolean var0)
                                  throws IOException

      Specified by:
        `writeBoolean` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeByte

          public final void writeByte(int var0)
                               throws IOException

      Specified by:
        `writeByte` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeBytes

          public final void writeBytes(String var0)
                                throws IOException

      Specified by:
        `writeBytes` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeChar

          public final void writeChar(int var0)
                               throws IOException

      Specified by:
        `writeChar` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeChars

          public final void writeChars(String var0)
                                throws IOException

      Specified by:
        `writeChars` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeDouble

          public final void writeDouble(double var0)
                                 throws IOException

      Specified by:
        `writeDouble` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeFloat

          public final void writeFloat(float var0)
                                throws IOException

      Specified by:
        `writeFloat` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeInt

          public final void writeInt(int var0)
                              throws IOException

      Specified by:
        `writeInt` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeLong

          public final void writeLong(long var0)
                               throws IOException

      Specified by:
        `writeLong` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeShort

          public final void writeShort(int var0)
                                throws IOException

      Specified by:
        `writeShort` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeUTF

          public final void writeUTF(String var0)
                              throws IOException

      Specified by:
        `writeUTF` in interface `DataOutput`
      Throws:
        `IOException`